# Introduction
- This project uses Webpack 3, React v0.16 and Redux.
- Express JS is used as web framework.
- Sequelize JS is used as ORM for RDBMS and MongoDb driver is used for access to MongoDB.
- Grunt is used for task runner
- React-Router 4 is used for routing. **I am yet to add isomorphic feature to this app. Possibly will come in next few releases.
- ApiDocs JS are integrated. Please refer  [API DOCS](http://apidocjs.com) for more details.

# Pre Requisites
Once you have the project template, install all dependencies (bower and node) by executing 
```sh
$ npm install
```
and
```sh
$ npm install
```
After all bower and npm packages and installed, install necessary global dependencies like: mocha, sequelize, apidocs, npm-run-parallel etc.
Please add a .env file to the root containing ENV and other variables.


# How to Run
```sh
    "test": "mocha ./src/server/test/**/*.js --compilers js:babel-core/register --bail --color",
    "start": "npm-run-parallel run watch",
    "run": "grunt",
    "api-doc": "apidoc -i src/ -o apidoc/",
    "watch": "webpack --watch"
```
To run this project, use npm start.

# Future Updates
- Isomorphic Features
- AWS SDK boilterplates: for S3, Lambda etc

# Known Issues
- ecosystem folder missing. This folder contains two files: client.js and server.js. Each file contains environment varialbles and other account configuration. Drop a comment and I will share these files.