
export default function(router){

    /**
     * @api {get} /api/test A Test endpoint
     * @apiName Test
     * @apiGroup Test
     *
     * @apiSuccess {Object} message A dummy message indicating that API is configured..
     *
     * @apiSuccessExample Success-Response:
     *     HTTP/1.1 200 OK
     *     {
     *          "message":"This is a test JSON. Can be edited."
     *     }
    */
    router.get('/test', function(req, res){
        return res.status(200).send({message: 'This is a test JSON. Can be edited.'});
    });

    
    /**
     * @api {get} /api/test Another Test endpoint
     * @apiName TestTwo
     * @apiGroup Test
     *
     * @apiSuccess {Object} message A dummy message indicating that API is configured..
     *
     * @apiSuccessExample Success-Response:
     *     HTTP/1.1 200 OK
     *     {
     *          "message":"This is a test two JSON. Can be edited."
     *     }
    */
    router.get('/testtwo', function(req, res){
        return res.status(200).send({message: 'This is a test two JSON. Can be edited.'});
    })
}