'use strict';

/**************************************
 * require hook will bind itself to node’s require
 * and automatically compile main.js at runtime 
 ************************************/

//Load css file from component
require('babel-register')({
    'plugins': [[
        'babel-plugin-transform-require-ignore',
        { extensions: ['.css'] }
    ]]
});
let server;

require('../../load.env.js')();

var app = require('./app'); // initiate server

var mongoDb = require('./mongo');

const port = process.env.PORT || 5000;

console.info('==> ✅ Port is ' + port);

const env = process.env.NODE_ENV || 'development';

mongoDb.connect('mongodb://admin:shirorocks@ds135574.mlab.com:35574/livetest', function (err) {
    if (err) {
        console.log('Unable to connect to Mongo Server.')
        process.exit(1)
    } else {
        
        // start the server and listen specified port
        server = app.listen(port, err => {
            //// to generate dummy initial data
            // var data = require('../shared/generate-data');
            // data();
            if (err) { return console.error(err); }
            console.info('==> ✅ Express server is listening');
            console.info(`==> 🌎 Go to http://localhost:${port} [${env}]`);
        });

        server.timeout = 300000;
    }
})
